---
title: llarp::rpc::FastEndpoint

---

# llarp::rpc::FastEndpoint





Inherits from [llarp::rpc::Endpoint](Classes/structllarp_1_1rpc_1_1Endpoint.md)

Inherited by [llarp::rpc::GetVersionEndpoint](Classes/structllarp_1_1rpc_1_1GetVersionEndpoint.md), [llarp::rpc::HaltEndpoint](Classes/structllarp_1_1rpc_1_1HaltEndpoint.md), [llarp::rpc::LogsEndpoint](Classes/structllarp_1_1rpc_1_1LogsEndpoint.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual void | **[SendImmediate](Classes/structllarp_1_1rpc_1_1FastEndpoint.md#function-sendimmediate)**() |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1FastEndpoint.md#function-endpoint)**() |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1FastEndpoint.md#function-endpoint)**(std::string _str) |
| | **[Endpoint](Classes/structllarp_1_1rpc_1_1FastEndpoint.md#function-endpoint)**(nlohmann::json _json) |

## Additional inherited members

**Public Functions inherited from [llarp::rpc::Endpoint](Classes/structllarp_1_1rpc_1_1Endpoint.md)**

|                | Name           |
| -------------- | -------------- |
| | **[~Endpoint](Classes/structllarp_1_1rpc_1_1Endpoint.md#function-~endpoint)**() =default |

**Public Attributes inherited from [llarp::rpc::Endpoint](Classes/structllarp_1_1rpc_1_1Endpoint.md)**

|                | Name           |
| -------------- | -------------- |
| std::variant< std::string, nlohmann::json > | **[response](Classes/structllarp_1_1rpc_1_1Endpoint.md#variable-response)**  |


## Public Functions Documentation

### function SendImmediate

```cpp
inline virtual void SendImmediate()
```


**Reimplemented by**: [llarp::rpc::HaltEndpoint::SendImmediate](Classes/structllarp_1_1rpc_1_1HaltEndpoint.md#function-sendimmediate), [llarp::rpc::GetVersionEndpoint::SendImmediate](Classes/structllarp_1_1rpc_1_1GetVersionEndpoint.md#function-sendimmediate), [llarp::rpc::LogsEndpoint::SendImmediate](Classes/structllarp_1_1rpc_1_1LogsEndpoint.md#function-sendimmediate)


### function Endpoint

```cpp
inline Endpoint()
```


### function Endpoint

```cpp
inline Endpoint(
    std::string _str
)
```


### function Endpoint

```cpp
inline Endpoint(
    nlohmann::json _json
)
```


-------------------------------

Updated on 2023-01-12 at 15:42:47 +0000