---
title: llarp::rpc

---

# llarp::rpc



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::rpc::EndpointAuthRPC](Classes/structllarp_1_1rpc_1_1EndpointAuthRPC.md)**  |
| struct | **[llarp::rpc::Endpoint](Classes/structllarp_1_1rpc_1_1Endpoint.md)**  |
| struct | **[llarp::rpc::FastEndpoint](Classes/structllarp_1_1rpc_1_1FastEndpoint.md)**  |
| struct | **[llarp::rpc::HaltEndpoint](Classes/structllarp_1_1rpc_1_1HaltEndpoint.md)**  |
| struct | **[llarp::rpc::GetVersionEndpoint](Classes/structllarp_1_1rpc_1_1GetVersionEndpoint.md)**  |
| struct | **[llarp::rpc::LogsEndpoint](Classes/structllarp_1_1rpc_1_1LogsEndpoint.md)**  |
| struct | **[llarp::rpc::SlowEndpoint](Classes/structllarp_1_1rpc_1_1SlowEndpoint.md)**  |
| struct | **[llarp::rpc::GetStatusEndpoint](Classes/structllarp_1_1rpc_1_1GetStatusEndpoint.md)**  |
| struct | **[llarp::rpc::LokidRpcClient](Classes/structllarp_1_1rpc_1_1LokidRpcClient.md)** <br>The [LokidRpcClient]() uses loki-mq to talk to make API requests to lokid.  |
| struct | **[llarp::rpc::MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md)**  |
| struct | **[llarp::rpc::RPCServer](Classes/structllarp_1_1rpc_1_1RPCServer.md)**  |
| struct | **[llarp::rpc::RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| typedef std::shared_ptr< oxenmq::OxenMQ > | **[LMQ_ptr](Namespaces/namespacellarp_1_1rpc.md#typedef-lmq-ptr)**  |

## Types Documentation

### typedef LMQ_ptr

```cpp
typedef std::shared_ptr< oxenmq::OxenMQ > llarp::rpc::LMQ_ptr;
```







-------------------------------

Updated on 2023-01-12 at 15:42:47 +0000